# Test: Invalid YAML structure with inconsistent indentation
# Expected: FAIL - YAML parse error

agent:
  metadata:
  id: invalid-indent
    name: Invalid Indentation
    title: Invalid
    icon: ❌
  persona:
    role: Test
    identity: Test
    communication_style: Test
    principles:
      - Test
  menu:
    - trigger: help
      description: Help
      action: help
